package com.bankaudit.dao;

import com.bankaudit.dto.DataTableResponse;
import com.bankaudit.model.MaintSeverityScale;

public interface MaintSeverityScaleDao extends Dao {
	
	DataTableResponse getAllMaintSeverityScale(String search, Integer orderColumn, String orderDirection, Integer page,
			Integer size,Integer legalEntityCode);

	void deleteMaintSeverityScale(Integer legalEntityCode, String severityScaleCode, String severityScaleType,
			String statusAuth);

	Boolean isMaintSeverityScale(Integer legalEntityCode, String severityScaleCode, String severityScaleType);
	
	Boolean validateScore(MaintSeverityScale maintSeverityScale);

}
